Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Nguyen Hoanh

Mẹo sử dụng AutoCAD

Các bài được khuyến nghị

ph168xd    310
cho em hỏi cách vẽ tường trong bản vẽ kiến trúc. cách nao nhanh va hiệu quả.ma vì sao khi v tuong nhat quyet phai dung polyline.em ko hiểu

 

Tuỳ từng lúc mà có những cách vẽ khác nhau bạn àh

 

nếu làm ý để or đi bảo vệ lần 1 tôi thường dùng pl 220

 

nếu bản vẽ thiế kế 2 bước tôi thường dùng ml 220

 

Còn với bản vẽ 1 bước thì dùng pl 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
buiminhnhat    1
Bạn đang cần chọn một đối tượng nằm ở phía dưới một đối tượng khác, bạn làm như thế nào? có một cách rất đơn giản: khi chọn bạn nhấn thêm ctr, pick 1 lần nếu trúng rồi thì thôi, nếu chưa trúng thì pick thêm lần nữa nó sẽ chọn xoay vòng các đối tượng nằm tại 1 vị trí cho đến lúc đối tượng bạn chọn là thì bạn nhấn phím space (enter hoặc phải chuột).

 

Bạn đang bật một lúc nhiều lựa chọn osnap, vì thế khi bạn di chuột đến gần đối tượng, thay vào bắt theo cách bạn mong muốn, AutoCAD lại chọn kiểu snap không đúng? bạn chỉ cần nhấn phím tab chức năng osnap sẽ thay đổi xoay vòng cho đến kiểu bạn muốn thì thôi.

Chắc các bạn cũng đã biết nhưng mình cũng muốn đóng góp 1 tí:Khi bạn dùng lệnh TRIM,bạn muốn xóa nhanh cái đường nào đó thì bạn chỉ cần pick enter(space)2 lần,chọn đường cần xóa là xóa được liền,ko cần phải chọn đường bao khi trim.

Bạn muốn kéo dài 1 đường thẳng đến 1 đường nào đó,bạn chỉ cần enter(space)2 lần sau khi dùng lệnh EX,kích vào đường thẳng bạn muốn kéo ra,nó sẽ tự nối 1 đường nào đó gần nhất.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Có bác nào biết cách đổi hướng của 1 đường "Line" hoặc đường "Pline" chỉ cho e với.

 

Lisp đảo ngược đỉnh đường Pline:

;Dao nguoc duong polyline

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(defun c:DGT( / plent)

(setq plent (car(entsel"\nChon duong polyline can dao dinh : ")))

(reverse_pl plent)

(princ)

)

 

(defun rmv_e (e lst )

(if (member e lst)

(progn

(cdr(member e lst));danh sach phia sau

(reverse(cdr(member e (reverse lst))))

(append (reverse(cdr(member e (reverse lst)))) (cdr(member e lst)))

)

nil

)

)

 

(defun rpl (pos new lst / hdlst ltlst len count)

(setq len (length lst) count 0)

(repeat (- pos 1)

(setq hdlst (append hdlst (list (nth count lst))));danh sach dau khong bao gom ptu thay the

(setq count (+ 1 count))

)

(while (< count len)

(setq ltlst (append ltlst (list (nth count lst))))

(setq count (+ 1 count))

)

(setq hdlst (append hdlst (list new)))

(setq ltlst (cdr ltlst))

(append hdlst ltlst)

)

 

(defun plvexs (ent full / lst elm vexlst)

(setq lst (member (assoc 10 (entget ent)) (entget ent))) ;Danh sach toa do co header 10 tro ve sau

(setq lst (rmv_e (assoc 210 lst) lst)) ;Loai bo ma dxf 210

(foreach elm lst

(if (= (car elm) 10)

(setq elm (cdr elm) vexlst (append vexlst (list elm)))

)

)

(if (= full 0) vexlst lst)

)

 

(defun reverse_pl (ent / blglst lst hdlst rvslst swaplst prvlst elm len rp count)

(setq lst (entget ent)) ;record pl

(setq vexlst (plvexs ent 1)) ;ds cac dinh bao gom ma dxf 40,41,42

(setq len (length (plvexs ent 1)))

(setq rp (/ len 4) count 0) ;so dinh

(repeat rp

(setq blglst (cons 42 (- (cdr(nth (+ count 3)vexlst))))) ;doi dau do phinh co ma dxf 42

(setq rvslst (append (list (nth count vexlst)(nth (+ count 1)vexlst) ;danh sach cac dinh dao nguoc

(nth (+ count 2)vexlst) blglst) rvslst)

)

(setq count (+ 4 count));tang len vi tri diem ke tiep

)

(setq count 7);bat dau tu vi tri do phinh thu hai co ma dxf 42 cua dsach rvslst

(while (< count (length rvslst)) ;khong phai la ma 42 dau tien va chua den cuoi dsach

(setq swaplst (nth count rvslst)) ;lay ra danh sach con chua ma dxf 42

(setq rvslst (rpl (+(- count 4)1) swaplst rvslst)); thay the ds con tai vi tri count-4

(setq count (+ count 4)) ; vi tri danh sach chua ma dxf 42 ke tiep

)

(setq rvslst (rpl (+(- count 4)1) (cons 42 0.0) rvslst)) ;thay gia tri danh sach con dxf 42 cua dinh cuoi cung pline

 

(setq count 0);bat dau tu phan tu thu nhat trong danh sach lst

(while (/= 10 (car (nth count lst))) ;duyen record khi chua den toa do diem dxf 10

(setq hdlst (append hdlst (list (nth count lst))))

(setq count (+ count 1))

)

 

(setq lst (append hdlst rvslst)) ; tao lai record co dinh dao nguoc.

(entmod lst); cap nhat record polyline

)

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
zuitithoi    0
Em chào bác Hoành, em cũng bít đôi chút về cad nhung cái món mẹo vặt này thì em chưa biết chút nào. EM đọc bài của bác rất hay nhưng có điều em lam như Bác hướng dẫn nhưng không được. Bác có thể nói rõ cho em thêm cái phần "chọn đối tượng ở phía dưới đối tượng khác" được không Bác. Tức là em nhấn ctr, pick vào đối tượng nhưng không chọn được đối tượng như bác nói.

Em cảm ơn Bác trước nhá.

voi cad 2008 thì để chọn đối tượng nằm dưới đối tượng khác bạn giữ đồng thời 2 phím :SHIFT + SPACE rồi kích chuột trái vào đối tượng đến khi chọn được đối tượng cần chọn

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

cái Snap em có ý thế này hay hơn, mà em cũng đang dùng rất hiệu quả . lúc đang chọn giữa một đống như thế, không cần zoom lại, cũng không cấn ấn phím tab không biết bao giờ mới đến được điểm ưng ỵ Thử ấn ship và chuột phải đồng thời, xong ấn phím tắt của loại bắt điểm đó . VD tâm đường tròn là "C" , điểm cuối là "E" , điểm giữa là "M" ... các bác nghịch thêm nhé

 

 

Vô tình em làm theo hướng dẫn của anh thì phát hiện ra một điều với em là rất thú vị . khi ta đang vẽ một line mà cần chọn chế độ "ortho" thì chỉ cần nhấn chặt phím "shift" thôi ,khi nhả phím "shift" ra thì chế độ "ortho"cũng ngưng luôn .

Chẳng biết các anh biết chưa ,hay đã có ai đăng bài này chưa nữa .

Nếu có đụng hàng mong các anh thông cảm !

em mới học cad nên topic này thật hữu dụng

thank các anh !

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ph168xd    310
cái Snap em có ý thế này hay hơn, mà em cũng đang dùng rất hiệu quả . lúc đang chọn giữa một đống như thế, không cần zoom lại, cũng không cấn ấn phím tab không biết bao giờ mới đến được điểm ưng ỵ Thử ấn ship và chuột phải đồng thời, xong ấn phím tắt của loại bắt điểm đó . VD tâm đường tròn là "C" , điểm cuối là "E" , điểm giữa là "M" ... các bác nghịch thêm nhé

Vô tình em làm theo hướng dẫn của anh thì phát hiện ra một điều với em là rất thú vị . khi ta đang vẽ một line mà cần chọn chế độ "ortho" thì chỉ cần nhấn chặt phím "shift" thôi ,khi nhả phím "shift" ra thì chế độ "ortho"cũng ngưng luôn .

Chẳng biết các anh biết chưa ,hay đã có ai đăng bài này chưa nữa .

Nếu có đụng hàng mong các anh thông cảm !

em mới học cad nên topic này thật hữu dụng

thank các anh !

 

 

Đụng quá còn gì nữa!

Nhưng tui rất hoan nghênh tinh thần học hỏi và chia sẻ của bạn

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
long1608    0
Khi bạn thay đổi xong, bạn phải save rồi thoát khỏi cad, sau đó vào lại mới được

Tốt nhất bạn nên cpoy ra, đừng thay thế hẳn

Khi bạn thay đổi xong vao Cad gõ lệnh Reinit tích chọn PGP File thì đổi lệnh sẽ có hiệu lực

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
DAM.MAI    0

Mình đã thử dùng lệnh mtp và m2p của bạn để tìm điểm giữa của 2 điểm khác nhưng không được, mình đang dung cad 2007 và mới ra trường, đang muốn trau dồi thêm kỹ năng để làm việc. Bạn chỉ thêm cho mình nha.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
DAM.MAI    0

Mình đã thử dùng lệnh mtp và m2p của bạn để tìm điểm giữa của 2 điểm khác nhưng không được, mình đang dung cad 2007 và mới ra trường, đang muốn trau dồi thêm kỹ năng để làm việc. Bạn chỉ thêm cho mình nha.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
HoangSon614    66
Mình đã thử dùng lệnh mtp và m2p của bạn để tìm điểm giữa của 2 điểm khác nhưng không được, mình đang dung cad 2007 và mới ra trường, đang muốn trau dồi thêm kỹ năng để làm việc. Bạn chỉ thêm cho mình nha.

Trước khi dùng lệnh mtp và m2p thì bạn phải thực hiện lệnh copy trước (VD: copy -> chon đối tượng -> Enter -> m2p -> chọn điểm đầu và cuối của đối tượng là OK)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
DAM.MAI    0
Trước khi dùng lệnh mtp và m2p thì bạn phải thực hiện lệnh copy trước (VD: copy -> chon đối tượng -> Enter -> m2p -> chọn điểm đầu và cuối của đối tượng là OK)

mình làm đuợc rồi.cảm on bạn nhiều nha. :bigsmile:

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
tuakien2930    0
Bạn đang cần chọn một đối tượng nằm ở phía dưới một đối tượng khác, bạn làm như thế nào? có một cách rất đơn giản: khi chọn bạn nhấn thêm ctr, pick 1 lần nếu trúng rồi thì thôi, nếu chưa trúng thì pick thêm lần nữa nó sẽ chọn xoay vòng các đối tượng nằm tại 1 vị trí cho đến lúc đối tượng bạn chọn là thì bạn nhấn phím space (enter hoặc phải chuột).

 

Bạn đang bật một lúc nhiều lựa chọn osnap, vì thế khi bạn di chuột đến gần đối tượng, thay vào bắt theo cách bạn mong muốn, AutoCAD lại chọn kiểu snap không đúng? bạn chỉ cần nhấn phím tab chức năng osnap sẽ thay đổi xoay vòng cho đến kiểu bạn muốn thì thôi.

Cám ơn bạn nhiều nha.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
kieumanh    140
cho em hỏi cái

em muốn chia một đoạn thẳng thành 2 đoạn mà điểm chia là điểm cắt với đoạn thẳng khác thì làm thế nào?

Thanks a trước

Bạn dùng lệnh break (br) chọn điểm cắt1 (Intersect) điểm cắt 2 (Nearest) bất kì trên đoạn cần cắt. Sau đó extend đoạn thẳng vừa xén là ok (ex)-Space-Space. Bia

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
kieumanh    140
Chắc các bạn cũng đã biết nhưng mình cũng muốn đóng góp 1 tí:Khi bạn dùng lệnh TRIM,bạn muốn xóa nhanh cái đường nào đó thì bạn chỉ cần pick enter(space)2 lần,chọn đường cần xóa là xóa được liền,ko cần phải chọn đường bao khi trim.

Bạn muốn kéo dài 1 đường thẳng đến 1 đường nào đó,bạn chỉ cần enter(space)2 lần sau khi dùng lệnh EX,kích vào đường thẳng bạn muốn kéo ra,nó sẽ tự nối 1 đường nào đó gần nhất.

Bổ sung thêm là: Nếu giữ shift trong lúc Extend thì Extend=Trim và ngược lại. Thử mà coi các bạn. Vui cực.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
thanhtranle    7
Khi vẽ bạn thường để font tiếng việt.

Và 1 số lệnh sẽ không còn hiệulực nếu vẫn để ở font đó

Và bạn lai phải mất công Alt + Z để chuyển về English

Mất công quá.

EX hãy chuyển về E3

AA hãy chuyển về AQ

....

Hãy thử bạn sẽ thích

em cũng làm thử rồi!

Cái này cũng ok!

Nhưng xin nói thêm với các pác là cái vd trên là vd tổng thể thôi

Chứ gặp bác nào đánh chữ theo kiểu VNI thì khỏi cần đổi lại chi cho mất công! :bigsmile:

Không phải lúc nào vẽ Cad mình cũng chỉ đánh text không đâu

Vì vậy nên tắt tiếng Việt khi vẽ cad

Khi nào đánh chữ thì mới mở! sau đó lại tắt!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
thanhtranle    7
cho em hỏi cái

em muốn chia một đoạn thẳng thành 2 đoạn mà điểm chia là điểm cắt với đoạn thẳng khác thì làm thế nào?

Thanks a trước

Bạn sử dụng lệnh break(br)

sau đó chọn đối tượng muốn chia rồi enter

sau đó nhấn F để chọn điểm muốn chia (là giao của 2 đường thẳng)! (nhớ mở osnap)

Sau đó chọn tiếp lại điểm đó nữa!

Enter!

Chúc thành công!

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
vanthiep    17
có pác nào bit tạo text đứng nhưng nguyên hàng text sẽ nghiêng theo một đường line ko? Có phải nó chuyển từ cad 3d qua ko, hay có lệnh trong 2d

 

Text đứng nhưng nguyên hàng text sẽ nghiêng? Theo mình bạn phải đặt text style thẳng đứng. Viết dòng text rồi dùng lệnh RO nhập góc nghiêng hoặc chọn tham số R rồi thực hiện chế độ bắt điểm với điều kiện điểm đầu dòng text nằm trên điểm đầu của đường Line

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
HoangSon614    66
có pác nào bit tạo text đứng nhưng nguyên hàng text sẽ nghiêng theo một đường line ko? Có phải nó chuyển từ cad 3d qua ko, hay có lệnh trong 2d

Bạn dùng lệnh TORIENT

pick chọn text -> pick vào điểm đầu, điểm cuối line -> OK. Thử xem nhé

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
tbtrong69    0
Bạn dùng lệnh TORIENT

pick chọn text -> pick vào điểm đầu, điểm cuối line -> OK. Thử xem nhé

pac có thể chỉ rõ hơn ko? em làm mà nó chỉ xoay nguyên hàng chữ nó nghiêng thôi, phương chữ cũng nghiêng theo lun. Ý em là phương chữ vẫn đứng nhưng hàng chữ thì nghiêng theo một phương nào đó. Mong mấy pác chỉ giúp. thank nhiều nhiều. còn theo pác Thiep bảo dùng lệnh RO thì em ko bít phải làm sao để đúng yêu cầu đc. Pác có RO đặc biệt nào ko. chứ RO -> R thì em bít.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tue_NV    3.841
pac có thể chỉ rõ hơn ko? em làm mà nó chỉ xoay nguyên hàng chữ nó nghiêng thôi, phương chữ cũng nghiêng theo lun. Ý em là phương chữ vẫn đứng nhưng hàng chữ thì nghiêng theo một phương nào đó. Mong mấy pác chỉ giúp. thank nhiều nhiều. còn theo pác Thiep bảo dùng lệnh RO thì em ko bít phải làm sao để đúng yêu cầu đc. Pác có RO đặc biệt nào ko. chứ RO -> R thì em bít.

Bạn làm như sau :

Command: dtext -> gõ dt(DText)

Current text style: "style1" Text height: 225.0000

Specify start point of text or [Justify/Style]: -> Pick chọn 1 điểm viết chữ (điểm P1)

Specify rotation angle of text <45>: 15 : gõ góc nghiêng của chữ hoặc pick 1 điểm (P2) : điểm P1P2 sẽ hợp với phương nằm ngang 1 góc a

 

Enter text: CADVIET -> gõ chữ

Enter text: Enter

 

-> Chữ sẽ nghiêng 1 góc so với phuơng ngang và phương chữ vẫn đứng : đúng theo ý bạn nhé :tongue2:

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×